Update firmware dla PLC?

Dzień dobry,
napotkałem dzisiaj problem odnośnie różnic w oprogramowaniu. Chodzi o sterownik 1511-1 PN v1.7 i kartę komunikacyjną 1543-1_1 v2.2, po dodaniu do projektu nie informowało mnie że są różnice, które nie pozwolą mi wgrać do sterownika nowej konfiguracji. Natomiast przy próbie wgrania nowej konfiguracji, wyskoczyła informacja że moduł online i offline nie są kompatybilne.

Pytanie moje brzmi czy update firmware PLC do wersji aktualnie dostępnej (v1.8.5) pozwoli na wgranie konfiguracji ?? Czy jednak będzie potrzeba kupić nową kartę komunikacyjna ?

Z poważaniem
Łukasz

Jaka wersja TIA Portal?

Aktualna wersja to v16

jeśli wyskakuje Tobie problem z kompatybilnością offline i online to zrób screena co widzi program a co jest faktycznie zamontowane. Może firmware nie taki wybrałeś…

Zapobiegawczo zrobiłem foto z błędu i konfiguracji sprzętowej.


Sorry że dopiero teraz odpowiadam. Spróbuj wybrać nowszy firmware sterownika z poziomu TIA i spróbuj wgrać. Kolejny sposób to obniżenie firmware CPU komunikacyjnego też tylko z poziomu TIA. Kolejny sposób to updated sterownika. Pierwsza dwa rozwiązania mogą przejść ale sterownik będzie rzucał błędem, ale nie będzie to kolidowało z jego prawidłowym działaniem.

Czyli update firmware powinien załatwić problem z kompatybilnością, jedynie zostaje ryzyko jakiś błędów jak wgram nowy firmware.
Jutro sprawdzę czy posiadamy nowy 1511 w razie problemów. Bo puki co mamy jeszcze mało tych sterowników, ale systematycznie będziemy wymieniać na nowe.

Dzięki za info. Jak wykonam update to poinformuję jaki był tego wynik i czy udało się dodać kartę.

Z poważaniem
Łukasz